Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.util
Class ConvertToHash

    java.lang.Object
      net.i2p.util.ConvertToHash

    public class ConvertToHash

extends Object

Convert any kind of destination String to a hash Supported: Base64 dest Base64 dest.i2p Base64 Hash Base32 Hash Base32 desthash.b32.i2p example.i2p

Author:
  zzz

Constructor Summary
`ConvertToHash()`

Method Summary
`static Hash` | `getHash(String peer)` Convert any kind of destination String to a hash

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertToHash

    public ConvertToHash()

Method Detail

### getHash

    public static Hash getHash(String peer)

  Convert any kind of destination String to a hash

  Returns:
    null on failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD